Package org.apache.sling.distribution

# Interface DistributionRequest

All Known Implementing Classes:
  `SimpleDistributionRequest`

@ProviderType public interface DistributionRequest
A `DistributionRequest` represents the need from the caller to have some content being distributed from a source instance to a target instance.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getFilters(String path)`
Get the filters applicable for a specific path +/foo/.* - include all content under /foo -/foo - exclude /foo node filters are checked in order and the last matched filter determines inclusion/exclusion
`String[]`
`getPaths()`
Get the root paths for this distribution request
`DistributionRequestType`
`getRequestType()`
Get the `DistributionRequestType` associated with this request
`boolean`
`isDeep(String path)`
Returns whether the paths are covering the entire subtree (deep) or just the specified nodes (shallow)

## Method Details

### getRequestType

@Nonnull DistributionRequestType getRequestType()
Get the `DistributionRequestType` associated with this request

Returns:
  the type of the request as a `DistributionRequestType`

### getPaths

@Nonnull String[] getPaths()
Get the root paths for this distribution request

Returns:
  an array of paths

### isDeep

boolean isDeep(String path)
Returns whether the paths are covering the entire subtree (deep) or just the specified nodes (shallow)

Parameters:
  `path` - the path to be checked
Returns:
  `true` if the paths are deep

### getFilters

@Nonnull String[] getFilters(String path)
Get the filters applicable for a specific path +/foo/.* - include all content under /foo -/foo - exclude /foo node filters are checked in order and the last matched filter determines inclusion/exclusion

Parameters:
  `path` - the path to get applicable filters for
Returns:
  an array of filters